$(function()
{
    $('table.datatable').datatable({storage: false, fixedHeader: true, fixedHeaderOffset: 54});
    $('.join-btn').click(function()
    {
        var sect    = $(this).data('sect');
        var message = $(this).data('message');
        bootbox.confirm(
        {
            message,
            callback: function(res)
            {
                if(res)
                {
                    $.post(createLink('score', 'joinSect', 'sect=' + sect), '', function(res)
                    {
                        res = JSON.parse(res);
                        if(res.result == 'success')
                        {
                            window.location.reload();
                        }
                        else
                        {
                            bootbox.alert(res.message);
                        }
                    })
                }
            }
        })
    })
})
